ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk" <aonis...@hortonworks.com>
Subject Review Request 23757: hive.metastore.pre.event.listeners not set in Ambari installation, in effect disabling hive thrift metastore authorization.
Date Mon, 21 Jul 2014 18:45:56 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/23757/
-----------------------------------------------------------

Review request for Ambari and Dmitro Lisnichenko.


Bugs: AMBARI-6557
    https://issues.apache.org/jira/browse/AMBARI-6557


Repository: ambari


Description
-------

PROBLEM:

For hive thrift metastore authorization to be enabled,  
hive.metastore.pre.event.listeners need to be set, default value

org.apache.hadoop.hive.ql.security.authorization.AuthorizationPreEventListener

However, this is not set in Ambari 1.6.0 installation. This property is hard
for customer to find and add it themselves.


Diffs
-----

  ambari-server/src/main/resources/stacks/HDP/2.0.6/services/HIVE/configuration/hive-site.xml
4bc2147 
  ambari-server/src/main/resources/stacks/HDP/2.1/services/HIVE/configuration/hive-site.xml
b584f73 

Diff: https://reviews.apache.org/r/23757/diff/


Testing
-------

mvn clean test


Thanks,

Andrew Onischuk


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message